=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5~),
               gettext,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:20.04.0~),
               libkf5config-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5kio-dev (>= 5.11~),
               libkf5notifications-dev (>= 5.11~),
               libkf5notifyconfig-dev (>= 5.11~),
               libkf5people-dev (>= 5.11~),
               libkf5texteditor-dev (>= 5.11~),
               libkf5wallet-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libkf5windowsystem-dev (>= 5.11~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.8~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-common-internals
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-common-internals.git

Package: kde-telepathy-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
         ${so:Depends},
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpCommonInternals
Architecture: any
Multi-Arch: same
Depends: kaccounts-integration (>= 15.04),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpLogger
Architecture: any
Multi-Arch: same
Breaks: libktplogger9 (<< 20.04.3~)
Replaces: libktplogger9 (<< 20.04.3~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpModels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.
