=== debian/changelog ===
ktp-common-internals (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:23 +0100

ktp-common-internals (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian override info format in
    d/kde-telepathy-debugger.lintian-overrides on line 2.
  * Use secure copyright file specification URI.
  * Remove inactive Uploaders.
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 11:16:22 +0100
