=== debian/control ===
--- 
+++ 
@@ -3,9 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Diane Trout <diane@ghic.org>,
-           Michał Zając <quintasan@kubuntu.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
@@ -43,7 +40,7 @@
 Section: kde
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Shared data for all the KDE Telepathy components
  This package contains KDE Telepathy shared data.
  .
@@ -53,7 +50,7 @@
 
 Package: kde-telepathy-debugger
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Debugging tool for KDE Telepathy
  This package contains a GUI debugging tool which can be used to debug
  issues in Telepathy.
@@ -64,7 +61,7 @@
 Package: kde-telepathy-kaccounts
 Section: kde
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: kaccounts plugins for kde-telepathy
  This links KDE telepathy to kaccounts and vice versa, allowing migrating
  settings from telepathy internal storage to a system-wide shared accounts
@@ -74,7 +71,7 @@
 
 Package: kde-telepathy-kpeople
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: kpeople plugins for kde-telepathy
  This contains plugins to allow kde-telepathy to use kpeople,
  This is necessary for grouping multiple IM accounts into
@@ -122,9 +119,9 @@
 X-CMake-Target: KTpLogger
 Architecture: any
 Multi-Arch: same
-Breaks: libktplogger9 (<< 20.04.3~)
-Replaces: libktplogger9 (<< 20.04.3~)
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libktplogger9 (<< 20.04.3~),
+Replaces: libktplogger9 (<< 20.04.3~),
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE Telepathy internal logger library
  Internal library which consists of the most reused
  parts across KDE Telepathy.
@@ -136,7 +133,7 @@
 X-CMake-Target: KTpModels
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE Telepathy data models internal library
  Internal library which consists of the most reused
  parts across KDE Telepathy.
@@ -145,7 +142,7 @@
 
 Package: libktpotr9
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE Telepathy internal OTR library
  Internal library which consists of the most reused
  parts across KDE Telepathy.
@@ -155,7 +152,7 @@
 Package: libktpwidgets9
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE Telepathy common internal widgets library
  Internal library which consists of the most reused
  parts across KDE Telepathy.
@@ -164,7 +161,7 @@
 
 Package: qml-module-org-kde-telepathy
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: kde-telepathy QtDeclarative QML support
  Contains a plugin for QtDeclarative that provides
  support for using KDE-Telepathy to components written
