=== tools/CMakeLists.txt ===
add_subdirectory(debugger)
